From 5e7ea6dc32e60d5a4b0868596eb63516c6ad21d7 Mon Sep 17 00:00:00 2001
From: Bharath Rupireddy <bharath.rupireddyforpostgres@gmail.com>
Date: Tue, 27 Sep 2022 08:43:02 +0000
Subject: [PATCH v1] Extend win32 error codes to errno mapping in win32error.c

---
 src/port/win32error.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

diff --git a/src/port/win32error.c b/src/port/win32error.c
index fca867ba3d..44ede0cfaa 100644
--- a/src/port/win32error.c
+++ b/src/port/win32error.c
@@ -164,6 +164,21 @@ static const struct
 	},
 	{
 		ERROR_DELETE_PENDING, ENOENT
+	},
+	{
+		ERROR_INVALID_NAME, ENOENT
+	},
+	{
+		ERROR_OUTOFMEMORY, ENOMEM
+	},
+	{
+		ERROR_HANDLE_DISK_FULL, ENOSPC
+	},
+	{
+		ERROR_INSUFFICIENT_BUFFER, EINVAL
+	},
+	{
+		ERROR_NOACCESS, EACCES
 	}
 };
 
-- 
2.34.1

